//---------------------------------------------------------------------------
//
// Name:        GFL_demoFrm.h
// Author:      Jacek
// Created:     2008-11-30 11:30:27
// Description: GFL_demoFrm class declaration
//
//---------------------------------------------------------------------------

#ifndef __GFL_DEMOFRM_h__
#define __GFL_DEMOFRM_h__

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#ifndef WX_PRECOMP
	#include <wx/wx.h>
	#include <wx/frame.h>
#else
	#include <wx/wxprec.h>
#endif

//Do not add custom headers between 
//Header Include Start and Header Include End.
//wxDev-C++ designer will remove them. Add custom headers after the block.
////Header Include Start
#include <wx/textctrl.h>
#include <wx/menu.h>
////Header Include End
#include "libgfl.h"

////Dialog Style Start
#undef GFL_demoFrm_STYLE
#define GFL_demoFrm_STYLE wxTRANSPARENT_WINDOW | wxFULL_REPAINT_ON_RESIZE | wxCAPTION | wxRESIZE_BORDER | wxSYSTEM_MENU | wxMINIMIZE_BOX | wxCLOSE_BOX
////Dialog Style End

class GFL_demoFrm : public wxFrame
{
	private:
		DECLARE_EVENT_TABLE();
		
	public:
		GFL_demoFrm(wxWindow *parent, wxWindowID id = 1, const wxString &title = wxT("GFL_demo"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = GFL_demoFrm_STYLE);
		virtual ~GFL_demoFrm();
		void GFL_demoFrmPaint(wxPaintEvent& event);
		void Mnurysowanie1001Click(wxCommandEvent& event);
		void Mnukontrast1002Click(wxCommandEvent& event);
		void Mnusepia1006Click(wxCommandEvent& event);
		void Mnuembosse1003Click(wxCommandEvent& event);
		void Mnusepia1004Click(wxCommandEvent& event);
		void Mnukontrast1007Click(wxCommandEvent& event);
		void Mnuemboss1008Click(wxCommandEvent& event);
		void Mnuexif1011Click(wxCommandEvent& event);
		void Mnuukryj1014Click(wxCommandEvent& event);
		void Mnurysowanie1009Click(wxCommandEvent& event);
		void Mnuiptc1012Click(wxCommandEvent& event);
		
	private:
		//Do not add custom control declarations between
		//GUI Control Declaration Start and GUI Control Declaration End.
		//wxDev-C++ will remove them. Add custom code after the block.
		////GUI Control Declaration Start
		wxTextCtrl *WxMemo1;
		wxMenuBar *WxMenuBar1;
		////GUI Control Declaration End
		
	private:
		//Note: if you receive any error with these enum IDs, then you need to
		//change your old form code that are based on the #define control IDs.
		//#defines may replace a numeric value for the enum names.
		//Try copy and pasting the below block in your old form header files.
		enum
		{
			////GUI Enum Control ID Start
			ID_WXMEMO1 = 1013,
			ID_MNU_PRZYKLADY_1005 = 1005,
			ID_MNU_SEPIA_1006 = 1006,
			ID_MNU_KONTRAST_1007 = 1007,
			ID_MNU_EMBOSS_1008 = 1008,
			ID_MNU_RYSOWANIE_1009 = 1009,
			ID_MNU_METADANE_1010 = 1010,
			ID_MNU_EXIF_1011 = 1011,
			ID_MNU_IPTC_1012 = 1012,
			ID_MNU_UKRYJ_1014 = 1014,
			
			////GUI Enum Control ID End
			ID_DUMMY_VALUE_ //don't remove this value unless you have other enum values
		};
		
	private:
		void OnClose(wxCloseEvent& event);
		void CreateGUIControls();
		wxImage img;
        GFL_BITMAP *gfl_bitmap;		
};

#endif
